import { _ as __assign } from './chunks/bundle-DQAyPA9h.js';
import React__default from 'react';
import { GroupChannelListProvider } from './GroupChannelList/context.js';
import { GroupChannelListUI } from './GroupChannelList/components/GroupChannelListUI.js';
import '@sendbird/chat/groupChannel';
import '@sendbird/uikit-tools';
import './useSendbirdStateContext.js';
import './withSendbird.js';
import './chunks/bundle-zderVHCt.js';
import './chunks/bundle-CFNbhzlZ.js';
import '@sendbird/chat';
import './chunks/bundle-D_B-XPiX.js';
import './chunks/bundle-B0JJXfcN.js';
import './chunks/bundle-qNaaK23g.js';
import './GroupChannelList/components/GroupChannelListHeader.js';
import './chunks/bundle-C5TxIjYS.js';
import './chunks/bundle-CP8IZx6k.js';
import './chunks/bundle-CtoEZBYL.js';
import './chunks/bundle-BgqXw7TW.js';
import './ui/ImageRenderer.js';
import './chunks/bundle-BamawVRC.js';
import './ui/Icon.js';
import './chunks/bundle-BKTUa7Hh.js';
import './ui/Header.js';
import './chunks/bundle-BaYDB95w.js';
import './ui/TextButton.js';
import './chunks/bundle-BN6KrkVC.js';
import './ui/IconButton.js';
import './EditUserProfile.js';
import './EditUserProfile/context.js';
import './EditUserProfile/components/EditUserProfileUI.js';
import './chunks/bundle-BzNj6rsX.js';
import './chunks/bundle-Drx9_pPb.js';
import './chunks/bundle-CQkS3BVo.js';
import './utils/message/getOutgoingMessageState.js';
import 'react-dom';
import './ui/Button.js';
import 'css-vars-ponyfill';
import '@sendbird/chat/openChannel';
import './chunks/bundle-D9HPnnfT.js';
import './chunks/bundle-D08cpCPN.js';
import './chunks/bundle-CJ6qEjG7.js';
import './ui/Input.js';
import './ui/PlaceHolder.js';
import './ui/Loader.js';
import './chunks/bundle-DCwEebhZ.js';
import './chunks/bundle-COIwriEM.js';
import '@sendbird/chat/message';
import './chunks/bundle-Ci9SzdkN.js';
import './GroupChannelList/components/GroupChannelPreviewAction.js';
import './ui/ContextMenu.js';
import './ui/SortByRow.js';
import './GroupChannelList/components/GroupChannelListItem.js';
import './chunks/bundle-DjrQXf-q.js';
import './chunks/bundle-Cs_QRAMA.js';
import './chunks/bundle-CqDjIUvM.js';
import './chunks/bundle-Cg9g6249.js';
import './chunks/bundle-CJIuveHC.js';
import './chunks/bundle-D4aRJBSh.js';
import './GroupChannel/components/TypingIndicator.js';
import './ui/Badge.js';
import './ui/ChannelAvatar.js';
import './chunks/bundle-BF5pm41Z.js';
import './ui/MentionUserLabel.js';
import './chunks/bundle-CnH5RpMk.js';
import './GroupChannelList/components/AddGroupChannel.js';
import './chunks/bundle-SUnDswqm.js';
import './CreateChannel.js';
import './CreateChannel/components/CreateChannelUI.js';
import './chunks/bundle-D60vbRWZ.js';
import './sendbirdSelectors.js';
import './chunks/bundle-CJM4fAMC.js';
import './CreateChannel/components/InviteUsers.js';
import './ui/UserListItem.js';
import './ui/MutedAvatarOverlay.js';
import './ui/Checkbox.js';
import './ui/UserProfile.js';
import './CreateChannel/components/SelectChannelType.js';

var GroupChannelList = function (props) {
    return (React__default.createElement(GroupChannelListProvider, __assign({}, props),
        React__default.createElement(GroupChannelListUI, __assign({}, props))));
};

export { GroupChannelList, GroupChannelList as default };
//# sourceMappingURL=GroupChannelList.js.map
