import React__default from 'react';
import OpenChannelUI from './OpenChannel/components/OpenChannelUI.js';
import { O as OpenChannelProvider } from './chunks/bundle-CdbfnuLp.js';
import './OpenChannel/components/OpenChannelInput.js';
import './chunks/bundle-C5TxIjYS.js';
import './chunks/bundle-DQAyPA9h.js';
import './chunks/bundle-CP8IZx6k.js';
import './chunks/bundle-CtoEZBYL.js';
import './ui/MessageInput.js';
import './chunks/bundle-ap3nGOTC.js';
import './chunks/bundle-B5iwLbFn.js';
import './ui/IconButton.js';
import './ui/Button.js';
import './chunks/bundle-BKTUa7Hh.js';
import './chunks/bundle-DaikZZYx.js';
import 'dompurify';
import './chunks/bundle-CnH5RpMk.js';
import './chunks/bundle-DHeiVDhy.js';
import './chunks/bundle-Bi2LuZyZ.js';
import './ui/Icon.js';
import './chunks/bundle-B0JJXfcN.js';
import './useSendbirdStateContext.js';
import './withSendbird.js';
import './chunks/bundle-CQkS3BVo.js';
import '@sendbird/chat/groupChannel';
import './utils/message/getOutgoingMessageState.js';
import './chunks/bundle-BvpR258i.js';
import './OpenChannel/components/FrozenChannelNotification.js';
import './OpenChannel/components/OpenChannelHeader.js';
import './chunks/bundle-BgqXw7TW.js';
import './ui/ImageRenderer.js';
import './chunks/bundle-BamawVRC.js';
import './chunks/bundle-BaYDB95w.js';
import './ui/PlaceHolder.js';
import './ui/Loader.js';
import './OpenChannel/components/OpenChannelMessageList.js';
import './chunks/bundle-Cg9g6249.js';
import './chunks/bundle-Cs_QRAMA.js';
import './OpenChannel/components/OpenChannelMessage.js';
import './ui/OpenchannelUserMessage.js';
import './ui/ContextMenu.js';
import './chunks/bundle-CJ6qEjG7.js';
import 'react-dom';
import '@sendbird/chat';
import '@sendbird/chat/openChannel';
import './ui/SortByRow.js';
import './chunks/bundle-D_B-XPiX.js';
import './ui/UserProfile.js';
import './chunks/bundle-zderVHCt.js';
import './sendbirdSelectors.js';
import './chunks/bundle-CJM4fAMC.js';
import './chunks/bundle-BTslAgnf.js';
import './chunks/bundle-BQWVWR-M.js';
import './chunks/bundle-D4aRJBSh.js';
import './ui/OpenChannelAdminMessage.js';
import './ui/OpenchannelOGMessage.js';
import './ui/LinkLabel.js';
import './chunks/bundle-CyKPILZ3.js';
import './Message/context.js';
import './ui/MentionLabel.js';
import './ui/OpenchannelThumbnailMessage.js';
import './ui/OpenchannelFileMessage.js';
import './ui/TextButton.js';
import './chunks/bundle-BN6KrkVC.js';
import './ui/DateSeparator.js';
import './chunks/bundle-sTI1sL6J.js';
import './chunks/bundle-Drx9_pPb.js';
import '@sendbird/uikit-tools';
import 'css-vars-ponyfill';
import './chunks/bundle-D9HPnnfT.js';
import './chunks/bundle-D08cpCPN.js';
import './chunks/bundle-C8p1vKGT.js';
import './chunks/bundle-DuOrTDlQ.js';
import './chunks/bundle-QiT-JqOw.js';
import './chunks/bundle-Ci9SzdkN.js';
import './chunks/bundle-COIwriEM.js';
import '@sendbird/chat/message';
import './Channel/utils/compareMessagesForGrouping.js';
import './chunks/bundle-DUHH_9vE.js';
import './chunks/bundle-B60tMN4Q.js';

var OpenChannel = function (props) {
    return (React__default.createElement(OpenChannelProvider, { channelUrl: props === null || props === void 0 ? void 0 : props.channelUrl, isMessageGroupingEnabled: props === null || props === void 0 ? void 0 : props.isMessageGroupingEnabled, queries: props === null || props === void 0 ? void 0 : props.queries, messageLimit: props === null || props === void 0 ? void 0 : props.messageLimit, onBeforeSendUserMessage: props === null || props === void 0 ? void 0 : props.onBeforeSendUserMessage, onBeforeSendFileMessage: props === null || props === void 0 ? void 0 : props.onBeforeSendFileMessage, onChatHeaderActionClick: props === null || props === void 0 ? void 0 : props.onChatHeaderActionClick, disableUserProfile: props === null || props === void 0 ? void 0 : props.disableUserProfile, renderUserProfile: props === null || props === void 0 ? void 0 : props.renderUserProfile, onBackClick: props === null || props === void 0 ? void 0 : props.onBackClick },
        React__default.createElement(OpenChannelUI, { renderMessage: props === null || props === void 0 ? void 0 : props.renderMessage, renderHeader: props === null || props === void 0 ? void 0 : props.renderHeader, renderInput: props === null || props === void 0 ? void 0 : props.renderInput, renderMessageInput: props === null || props === void 0 ? void 0 : props.renderMessageInput, renderPlaceHolderEmptyList: props === null || props === void 0 ? void 0 : props.renderPlaceHolderEmptyList, renderPlaceHolderError: props === null || props === void 0 ? void 0 : props.renderPlaceHolderError, renderPlaceHolderLoading: props === null || props === void 0 ? void 0 : props.renderPlaceHolderLoading })));
};

export { OpenChannel as default };
//# sourceMappingURL=OpenChannel.js.map
