import { _ as __assign } from './bundle-DQAyPA9h.js';
import React__default from 'react';
import { g as getStringSet } from './bundle-CP8IZx6k.js';
import { l as locale } from './bundle-CtoEZBYL.js';

var LocalizationContextDefault = {
    stringSet: getStringSet('en'),
    dateLocale: locale,
};
var LocalizationContext = React__default.createContext(LocalizationContextDefault);
var LocalizationProvider = function (props) {
    var children = props.children;
    return React__default.createElement(LocalizationContext.Provider, { value: __assign(__assign({}, LocalizationContextDefault), props) }, children);
};
var useLocalization = function () { return React__default.useContext(LocalizationContext); };

export { LocalizationContext as L, LocalizationProvider as a, useLocalization as u };
//# sourceMappingURL=bundle-C5TxIjYS.js.map
