import React__default from 'react';

/**
 * user profile goes deep inside the component tree
 * use this context as a short circuit to send in values
 */
var UserProfileContext = React__default.createContext({
    disableUserProfile: true,
    isOpenChannel: false,
});
var UserProfileProvider = function (_a) {
    var _b = _a.isOpenChannel, isOpenChannel = _b === void 0 ? false : _b, _c = _a.disableUserProfile, disableUserProfile = _c === void 0 ? false : _c, renderUserProfile = _a.renderUserProfile, onUserProfileMessage = _a.onUserProfileMessage, children = _a.children;
    return (React__default.createElement(UserProfileContext.Provider, { value: {
            isOpenChannel: isOpenChannel,
            disableUserProfile: disableUserProfile,
            renderUserProfile: renderUserProfile,
            onUserProfileMessage: onUserProfileMessage,
        } }, children));
};

export { UserProfileProvider as U, UserProfileContext as a };
//# sourceMappingURL=bundle-zderVHCt.js.map
