'use strict';

var _tslib = require('../../chunks/bundle-C1iXH_lz.js');
var React = require('react');
var Channel_context = require('../context.js');
var GroupChannelUIView = require('../../chunks/bundle-BoGOofGe.js');
var Channel_components_ChannelHeader = require('./ChannelHeader.js');
var Channel_components_MessageList = require('./MessageList.js');
var Channel_components_MessageInput = require('./MessageInput.js');
var utils = require('../../chunks/bundle-DDsjylXE.js');
require('../../chunks/bundle-B_3UVRGD.js');
require('../../useSendbirdStateContext.js');
require('../../withSendbird.js');
require('../../chunks/bundle-DLNFkt38.js');
require('../../chunks/bundle-DYwqgFGE.js');
require('@sendbird/chat/message');
require('../../chunks/bundle-BUGsOchw.js');
require('../../chunks/bundle-CM_QjHPG.js');
require('../../chunks/bundle-CaxyE1uP.js');
require('../../chunks/bundle-ggWkCnWp.js');
require('@sendbird/chat/groupChannel');
require('../../utils/message/getOutgoingMessageState.js');
require('../../chunks/bundle-DT6w7Uab.js');
require('../../chunks/bundle-BVg9ntoO.js');
require('../../chunks/bundle-AUSNBZEZ.js');
require('../../chunks/bundle-CBfbgiwa.js');
require('../../chunks/bundle-CFgPLG7x.js');
require('../../chunks/bundle-D-P1KjhS.js');
require('../../chunks/bundle-DbLPrtw4.js');
require('../../chunks/bundle-DAhXMboX.js');
require('../../chunks/bundle-HKXeZbAy.js');
require('../../chunks/bundle-DAx7HwSK.js');
require('../../GroupChannel/components/TypingIndicator.js');
require('../../chunks/bundle-d98ZY6cX.js');
require('../../chunks/bundle-BYgb3hss.js');
require('../../chunks/bundle-CRF-8eNm.js');
require('../../ui/ConnectionStatus.js');
require('../../ui/Icon.js');
require('../../ui/PlaceHolder.js');
require('../../ui/Loader.js');
require('../../chunks/bundle-C7XdAFSI.js');
require('../../ui/ChannelAvatar.js');
require('../../chunks/bundle-CUrtGuno.js');
require('../../ui/ImageRenderer.js');
require('../../chunks/bundle-CZ43TiD0.js');
require('../../chunks/bundle-DM1x0Kmf.js');
require('../../chunks/bundle-BYTChesz.js');
require('../../chunks/bundle-Ce_LIPHH.js');
require('../../ui/Header.js');
require('../../ui/TextButton.js');
require('../../chunks/bundle-COLkgs4M.js');
require('../../ui/IconButton.js');
require('./Message.js');
require('../../chunks/bundle-BMoSwVak.js');
require('../../chunks/bundle-CbqhVtgy.js');
require('../../Message/hooks/useDirtyGetMentions.js');
require('../../ui/DateSeparator.js');
require('../../ui/MessageInput.js');
require('../../chunks/bundle-CYpA4YvV.js');
require('../../ui/Button.js');
require('../../chunks/bundle-Clj1obcq.js');
require('dompurify');
require('../../chunks/bundle-DsIHVOmg.js');
require('../../chunks/bundle-CRYm5FCe.js');
require('../../chunks/bundle-D44gLmng.js');
require('../../chunks/bundle-PJ_2lj5M.js');
require('../../ui/MessageContent.js');
require('../../chunks/bundle-DQcAMIkW.js');
require('../../chunks/bundle-CYUwXUd-.js');
require('../../chunks/bundle-C8zKC7Gk.js');
require('../../ui/MessageItemMenu.js');
require('../../ui/ContextMenu.js');
require('../../chunks/bundle-CSp_Z9WK.js');
require('react-dom');
require('@sendbird/chat');
require('@sendbird/chat/openChannel');
require('../../ui/SortByRow.js');
require('../../chunks/bundle-ODbgqlTB.js');
require('../../ui/MessageItemReactionMenu.js');
require('../../ui/ReactionButton.js');
require('../../chunks/bundle-i2g7ZRrX.js');
require('../../ui/EmojiReactions.js');
require('../../ui/ReactionBadge.js');
require('../../ui/BottomSheet.js');
require('../../chunks/bundle-BV4UQzl0.js');
require('@sendbird/uikit-tools');
require('css-vars-ponyfill');
require('../../chunks/bundle-kwY9bURo.js');
require('../../ui/UserListItem.js');
require('../../ui/MutedAvatarOverlay.js');
require('../../ui/Checkbox.js');
require('../../ui/UserProfile.js');
require('../../sendbirdSelectors.js');
require('../../ui/Tooltip.js');
require('../../ui/TooltipWrapper.js');
require('../../Message/context.js');
require('../../ui/AdminMessage.js');
require('../../ui/QuoteMessage.js');
require('../../chunks/bundle-fcSrqUpd.js');
require('../../chunks/bundle-Cn2GBKcz.js');
require('../../ui/ThreadReplies.js');
require('../../ui/OGMessageItemBody.js');
require('../../chunks/bundle-Bi5JuZ95.js');
require('../../ui/MentionLabel.js');
require('../../ui/LinkLabel.js');
require('../../ui/TextMessageItemBody.js');
require('../../ui/FileMessageItemBody.js');
require('../../chunks/bundle-BbIO8sMp.js');
require('../../chunks/bundle-d_icBl7I.js');
require('../../chunks/bundle-DXmUcWUo.js');
require('../../ui/VoiceMessageItemBody.js');
require('../../ui/ProgressBar.js');
require('../../VoicePlayer/useVoicePlayer.js');
require('../../ui/PlaybackTime.js');
require('../../ui/ThumbnailMessageItemBody.js');
require('../../ui/UnknownMessageItemBody.js');
require('../../ui/TemplateMessageItemBody.js');
require('../../chunks/bundle-C1y2GKxx.js');
require('../../ui/FallbackTemplateMessageItemBody.tsx.js');
require('../../ui/LoadingTemplateMessageItemBody.tsx.js');
require('../../ui/FeedbackIconButton.js');
require('../../ui/MobileFeedbackMenu.js');
require('../../ui/MessageFeedbackModal.js');
require('../../ui/Input.js');
require('../../ui/MessageFeedbackFailedModal.js');
require('../../GroupChannel/components/SuggestedReplies.js');
require('../../chunks/bundle-kp5_YNxf.js');
require('./FileViewer.js');
require('../../chunks/bundle-CcY5-69r.js');
require('./RemoveMessageModal.js');
require('../../chunks/bundle-DvZePDQd.js');
require('../../chunks/bundle-Fz8bb3aD.js');
require('../../GroupChannel/components/UnreadCount.js');
require('../../GroupChannel/components/FrozenNotification.js');
require('../../chunks/bundle-BFw-piTA.js');
require('../../chunks/bundle-XrvdkrhX.js');
require('../../ui/TypingIndicatorBubble.js');
require('../../chunks/bundle-Dk00HR_J.js');
require('../utils/getMessagePartsInfo.js');
require('../utils/compareMessagesForGrouping.js');
require('../../chunks/bundle-mUanJx1a.js');
require('../../GroupChannel/components/SuggestedMentionList.js');
require('../../ui/QuoteMessageInput.js');
require('../../VoiceRecorder/useVoiceRecorder.js');
require('../../chunks/bundle-adVziAwN.js');
require('../../chunks/bundle-oZU3raBc.js');

var ChannelUI = function (props) {
    var context = Channel_context.useChannelContext();
    var channelUrl = context.channelUrl, isInvalid = context.isInvalid;
    // Inject components to presentation layer
    var _a = utils.deleteNullish(props), _b = _a.renderChannelHeader, renderChannelHeader = _b === void 0 ? function (p) { return React.createElement(Channel_components_ChannelHeader.ChannelHeader, _tslib.__assign({}, p)); } : _b, _c = _a.renderMessageList, renderMessageList = _c === void 0 ? function (p) { return React.createElement(Channel_components_MessageList.MessageList, _tslib.__assign({}, p, { className: "sendbird-conversation__message-list" })); } : _c, _d = _a.renderMessageInput, renderMessageInput = _d === void 0 ? function () { return React.createElement(Channel_components_MessageInput.MessageInputWrapper, _tslib.__assign({}, props)); } : _d;
    return (React.createElement(GroupChannelUIView.GroupChannelUIView, _tslib.__assign({}, props, context, { isLoading: props === null || props === void 0 ? void 0 : props.isLoading, isInvalid: isInvalid, channelUrl: channelUrl, renderChannelHeader: renderChannelHeader, renderMessageList: renderMessageList, renderMessageInput: renderMessageInput })));
};

module.exports = ChannelUI;
//# sourceMappingURL=ChannelUI.js.map
