'use strict';

var _tslib = require('../chunks/bundle-C1iXH_lz.js');
var React = require('react');

var EditUserProfileProviderContext = React.createContext(null);
var EditUserProfileProvider = function (_a) {
    var children = _a.children, props = _tslib.__rest(_a, ["children"]);
    return React.createElement(EditUserProfileProviderContext.Provider, { value: props }, children);
};
var useEditUserProfileContext = function () {
    var context = React.useContext(EditUserProfileProviderContext);
    if (!context)
        throw new Error('EditUserProfileContext not found. Use within the EditUserProfile module.');
    return context;
};

exports.EditUserProfileProvider = EditUserProfileProvider;
exports.useEditUserProfileContext = useEditUserProfileContext;
//# sourceMappingURL=context.js.map
