'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('./chunks/bundle-C1iXH_lz.js');
var React = require('react');
var GroupChannelList_context = require('./GroupChannelList/context.js');
var GroupChannelList_components_GroupChannelListUI = require('./GroupChannelList/components/GroupChannelListUI.js');
require('@sendbird/chat/groupChannel');
require('@sendbird/uikit-tools');
require('./useSendbirdStateContext.js');
require('./withSendbird.js');
require('./chunks/bundle-B_3UVRGD.js');
require('./chunks/bundle-D9_xITd0.js');
require('@sendbird/chat');
require('./chunks/bundle-CFgPLG7x.js');
require('./chunks/bundle-DDsjylXE.js');
require('./chunks/bundle-C8cGPzxz.js');
require('./GroupChannelList/components/GroupChannelListHeader.js');
require('./chunks/bundle-CRF-8eNm.js');
require('./chunks/bundle-BYgb3hss.js');
require('./chunks/bundle-CaxyE1uP.js');
require('./chunks/bundle-CUrtGuno.js');
require('./ui/ImageRenderer.js');
require('./chunks/bundle-CZ43TiD0.js');
require('./ui/Icon.js');
require('./chunks/bundle-d98ZY6cX.js');
require('./ui/Header.js');
require('./chunks/bundle-Ce_LIPHH.js');
require('./ui/TextButton.js');
require('./chunks/bundle-COLkgs4M.js');
require('./ui/IconButton.js');
require('./EditUserProfile.js');
require('./EditUserProfile/context.js');
require('./EditUserProfile/components/EditUserProfileUI.js');
require('./chunks/bundle-r5mnAHc0.js');
require('./chunks/bundle-BV4UQzl0.js');
require('./chunks/bundle-ggWkCnWp.js');
require('./utils/message/getOutgoingMessageState.js');
require('react-dom');
require('./ui/Button.js');
require('css-vars-ponyfill');
require('@sendbird/chat/openChannel');
require('./chunks/bundle-kwY9bURo.js');
require('./chunks/bundle-CBfbgiwa.js');
require('./chunks/bundle-CSp_Z9WK.js');
require('./ui/Input.js');
require('./ui/PlaceHolder.js');
require('./ui/Loader.js');
require('./chunks/bundle-Dk00HR_J.js');
require('./chunks/bundle-DYwqgFGE.js');
require('@sendbird/chat/message');
require('./chunks/bundle-XrvdkrhX.js');
require('./GroupChannelList/components/GroupChannelPreviewAction.js');
require('./ui/ContextMenu.js');
require('./ui/SortByRow.js');
require('./GroupChannelList/components/GroupChannelListItem.js');
require('./chunks/bundle-DQcAMIkW.js');
require('./chunks/bundle-CM_QjHPG.js');
require('./chunks/bundle-CYUwXUd-.js');
require('./chunks/bundle-C8zKC7Gk.js');
require('./chunks/bundle-YzTkpnql.js');
require('./chunks/bundle-i2g7ZRrX.js');
require('./GroupChannel/components/TypingIndicator.js');
require('./ui/Badge.js');
require('./ui/ChannelAvatar.js');
require('./chunks/bundle-DM1x0Kmf.js');
require('./ui/MentionUserLabel.js');
require('./chunks/bundle-DsIHVOmg.js');
require('./GroupChannelList/components/AddGroupChannel.js');
require('./chunks/bundle-DwrPy17I.js');
require('./CreateChannel.js');
require('./CreateChannel/components/CreateChannelUI.js');
require('./chunks/bundle-B686_a8r.js');
require('./sendbirdSelectors.js');
require('./chunks/bundle-DbLPrtw4.js');
require('./CreateChannel/components/InviteUsers.js');
require('./ui/UserListItem.js');
require('./ui/MutedAvatarOverlay.js');
require('./ui/Checkbox.js');
require('./ui/UserProfile.js');
require('./CreateChannel/components/SelectChannelType.js');

var GroupChannelList = function (props) {
    return (React.createElement(GroupChannelList_context.GroupChannelListProvider, _tslib.__assign({}, props),
        React.createElement(GroupChannelList_components_GroupChannelListUI.GroupChannelListUI, _tslib.__assign({}, props))));
};

exports.GroupChannelList = GroupChannelList;
exports.default = GroupChannelList;
//# sourceMappingURL=GroupChannelList.js.map
