'use strict';

var React = require('react');
var OpenChannel_components_OpenChannelUI = require('./OpenChannel/components/OpenChannelUI.js');
var OpenChannel_context = require('./chunks/bundle-B58axPwz.js');
require('./OpenChannel/components/OpenChannelInput.js');
require('./chunks/bundle-CRF-8eNm.js');
require('./chunks/bundle-C1iXH_lz.js');
require('./chunks/bundle-BYgb3hss.js');
require('./chunks/bundle-CaxyE1uP.js');
require('./ui/MessageInput.js');
require('./chunks/bundle-CYpA4YvV.js');
require('./chunks/bundle-DLNFkt38.js');
require('./ui/IconButton.js');
require('./ui/Button.js');
require('./chunks/bundle-d98ZY6cX.js');
require('./chunks/bundle-Clj1obcq.js');
require('dompurify');
require('./chunks/bundle-DsIHVOmg.js');
require('./chunks/bundle-CRYm5FCe.js');
require('./chunks/bundle-D44gLmng.js');
require('./ui/Icon.js');
require('./chunks/bundle-DDsjylXE.js');
require('./useSendbirdStateContext.js');
require('./withSendbird.js');
require('./chunks/bundle-ggWkCnWp.js');
require('@sendbird/chat/groupChannel');
require('./utils/message/getOutgoingMessageState.js');
require('./chunks/bundle-PJ_2lj5M.js');
require('./OpenChannel/components/FrozenChannelNotification.js');
require('./OpenChannel/components/OpenChannelHeader.js');
require('./chunks/bundle-CUrtGuno.js');
require('./ui/ImageRenderer.js');
require('./chunks/bundle-CZ43TiD0.js');
require('./chunks/bundle-Ce_LIPHH.js');
require('./ui/PlaceHolder.js');
require('./ui/Loader.js');
require('./OpenChannel/components/OpenChannelMessageList.js');
require('./chunks/bundle-C8zKC7Gk.js');
require('./chunks/bundle-CM_QjHPG.js');
require('./OpenChannel/components/OpenChannelMessage.js');
require('./ui/OpenchannelUserMessage.js');
require('./ui/ContextMenu.js');
require('./chunks/bundle-CSp_Z9WK.js');
require('react-dom');
require('@sendbird/chat');
require('@sendbird/chat/openChannel');
require('./ui/SortByRow.js');
require('./chunks/bundle-CFgPLG7x.js');
require('./ui/UserProfile.js');
require('./chunks/bundle-B_3UVRGD.js');
require('./sendbirdSelectors.js');
require('./chunks/bundle-DbLPrtw4.js');
require('./chunks/bundle--zAJdXN7.js');
require('./chunks/bundle-KdX98-Ws.js');
require('./chunks/bundle-i2g7ZRrX.js');
require('./ui/OpenChannelAdminMessage.js');
require('./ui/OpenchannelOGMessage.js');
require('./ui/LinkLabel.js');
require('./chunks/bundle-Bi5JuZ95.js');
require('./Message/context.js');
require('./ui/MentionLabel.js');
require('./ui/OpenchannelThumbnailMessage.js');
require('./ui/OpenchannelFileMessage.js');
require('./ui/TextButton.js');
require('./chunks/bundle-COLkgs4M.js');
require('./ui/DateSeparator.js');
require('./chunks/bundle-d_icBl7I.js');
require('./chunks/bundle-BV4UQzl0.js');
require('@sendbird/uikit-tools');
require('css-vars-ponyfill');
require('./chunks/bundle-kwY9bURo.js');
require('./chunks/bundle-CBfbgiwa.js');
require('./chunks/bundle-DXmUcWUo.js');
require('./chunks/bundle-Fz8bb3aD.js');
require('./chunks/bundle-BFw-piTA.js');
require('./chunks/bundle-XrvdkrhX.js');
require('./chunks/bundle-DYwqgFGE.js');
require('@sendbird/chat/message');
require('./Channel/utils/compareMessagesForGrouping.js');
require('./chunks/bundle-BVg9ntoO.js');
require('./chunks/bundle-oZU3raBc.js');

var OpenChannel = function (props) {
    return (React.createElement(OpenChannel_context.OpenChannelProvider, { channelUrl: props === null || props === void 0 ? void 0 : props.channelUrl, isMessageGroupingEnabled: props === null || props === void 0 ? void 0 : props.isMessageGroupingEnabled, queries: props === null || props === void 0 ? void 0 : props.queries, messageLimit: props === null || props === void 0 ? void 0 : props.messageLimit, onBeforeSendUserMessage: props === null || props === void 0 ? void 0 : props.onBeforeSendUserMessage, onBeforeSendFileMessage: props === null || props === void 0 ? void 0 : props.onBeforeSendFileMessage, onChatHeaderActionClick: props === null || props === void 0 ? void 0 : props.onChatHeaderActionClick, disableUserProfile: props === null || props === void 0 ? void 0 : props.disableUserProfile, renderUserProfile: props === null || props === void 0 ? void 0 : props.renderUserProfile, onBackClick: props === null || props === void 0 ? void 0 : props.onBackClick },
        React.createElement(OpenChannel_components_OpenChannelUI, { renderMessage: props === null || props === void 0 ? void 0 : props.renderMessage, renderHeader: props === null || props === void 0 ? void 0 : props.renderHeader, renderInput: props === null || props === void 0 ? void 0 : props.renderInput, renderMessageInput: props === null || props === void 0 ? void 0 : props.renderMessageInput, renderPlaceHolderEmptyList: props === null || props === void 0 ? void 0 : props.renderPlaceHolderEmptyList, renderPlaceHolderError: props === null || props === void 0 ? void 0 : props.renderPlaceHolderError, renderPlaceHolderLoading: props === null || props === void 0 ? void 0 : props.renderPlaceHolderLoading })));
};

module.exports = OpenChannel;
//# sourceMappingURL=OpenChannel.js.map
