'use strict';

var React = require('react');
var OpenChannelList_components_OpenChannelListUI = require('./OpenChannelList/components/OpenChannelListUI.js');
var OpenChannelList_context = require('./chunks/bundle-AHehRrYR.js');
require('./OpenChannelList/components/OpenChannelPreview.js');
require('./chunks/bundle-CUrtGuno.js');
require('./chunks/bundle-C1iXH_lz.js');
require('./ui/ImageRenderer.js');
require('./chunks/bundle-DDsjylXE.js');
require('./chunks/bundle-CZ43TiD0.js');
require('./ui/Icon.js');
require('./chunks/bundle-d98ZY6cX.js');
require('./chunks/bundle-BYgb3hss.js');
require('./ui/PlaceHolder.js');
require('./chunks/bundle-CRF-8eNm.js');
require('./chunks/bundle-CaxyE1uP.js');
require('./ui/Loader.js');
require('./ui/IconButton.js');
require('./CreateOpenChannel.js');
require('./CreateOpenChannel/components/CreateOpenChannelUI.js');
require('./ui/Button.js');
require('./chunks/bundle-BV4UQzl0.js');
require('./chunks/bundle-ggWkCnWp.js');
require('@sendbird/chat/groupChannel');
require('./utils/message/getOutgoingMessageState.js');
require('react-dom');
require('./chunks/bundle-Ce_LIPHH.js');
require('@sendbird/uikit-tools');
require('./withSendbird.js');
require('css-vars-ponyfill');
require('@sendbird/chat');
require('./chunks/bundle-CFgPLG7x.js');
require('@sendbird/chat/openChannel');
require('./chunks/bundle-kwY9bURo.js');
require('./chunks/bundle-CBfbgiwa.js');
require('./useSendbirdStateContext.js');
require('./chunks/bundle-CSp_Z9WK.js');
require('./ui/Input.js');
require('./ui/TextButton.js');
require('./chunks/bundle-COLkgs4M.js');
require('./CreateOpenChannel/context.js');
require('./chunks/bundle-DbLPrtw4.js');

function OpenChannelList(_a) {
    var 
    // provider
    className = _a.className, queries = _a.queries, onChannelSelected = _a.onChannelSelected, 
    // ui
    renderHeader = _a.renderHeader, renderChannelPreview = _a.renderChannelPreview, renderPlaceHolderEmpty = _a.renderPlaceHolderEmpty, renderPlaceHolderError = _a.renderPlaceHolderError, renderPlaceHolderLoading = _a.renderPlaceHolderLoading;
    return (React.createElement(OpenChannelList_context.OpenChannelListProvider, { className: className, queries: queries, onChannelSelected: onChannelSelected },
        React.createElement(OpenChannelList_components_OpenChannelListUI, { renderHeader: renderHeader, renderChannelPreview: renderChannelPreview, renderPlaceHolderEmpty: renderPlaceHolderEmpty, renderPlaceHolderError: renderPlaceHolderError, renderPlaceHolderLoading: renderPlaceHolderLoading })));
}

module.exports = OpenChannelList;
//# sourceMappingURL=OpenChannelList.js.map
