'use strict';

var _tslib = require('./bundle-C1iXH_lz.js');
var React = require('react');
var stringSet = require('./bundle-BYgb3hss.js');
var index = require('./bundle-CaxyE1uP.js');

var LocalizationContextDefault = {
    stringSet: stringSet.getStringSet('en'),
    dateLocale: index.locale,
};
var LocalizationContext = React.createContext(LocalizationContextDefault);
var LocalizationProvider = function (props) {
    var children = props.children;
    return React.createElement(LocalizationContext.Provider, { value: _tslib.__assign(_tslib.__assign({}, LocalizationContextDefault), props) }, children);
};
var useLocalization = function () { return React.useContext(LocalizationContext); };

exports.LocalizationContext = LocalizationContext;
exports.LocalizationProvider = LocalizationProvider;
exports.useLocalization = useLocalization;
//# sourceMappingURL=bundle-CRF-8eNm.js.map
