import React__default from 'react';
import { C as ChannelListProvider } from './chunks/bundle-Bbrwj-rt.js';
import ChannelListUI from './ChannelList/components/ChannelListUI.js';
import './chunks/bundle-DQAyPA9h.js';
import '@sendbird/chat/groupChannel';
import './chunks/bundle-CJM4fAMC.js';
import './chunks/bundle-D_B-XPiX.js';
import './chunks/bundle-B0JJXfcN.js';
import './chunks/bundle-D08cpCPN.js';
import './chunks/bundle-zderVHCt.js';
import './useSendbirdStateContext.js';
import './withSendbird.js';
import './chunks/bundle-CQkS3BVo.js';
import './utils/message/getOutgoingMessageState.js';
import './chunks/bundle-D0j4QjIO.js';
import './ChannelList/components/ChannelPreview.js';
import './chunks/bundle-C5TxIjYS.js';
import './chunks/bundle-CP8IZx6k.js';
import './chunks/bundle-CtoEZBYL.js';
import './chunks/bundle-DjrQXf-q.js';
import './chunks/bundle-Cs_QRAMA.js';
import './ui/Icon.js';
import './chunks/bundle-BKTUa7Hh.js';
import './ui/Loader.js';
import './chunks/bundle-CqDjIUvM.js';
import './chunks/bundle-Cg9g6249.js';
import './chunks/bundle-CJIuveHC.js';
import './chunks/bundle-D4aRJBSh.js';
import './chunks/bundle-BaYDB95w.js';
import './GroupChannel/components/TypingIndicator.js';
import './ui/Badge.js';
import './ui/ChannelAvatar.js';
import './chunks/bundle-BgqXw7TW.js';
import './ui/ImageRenderer.js';
import './chunks/bundle-BamawVRC.js';
import './chunks/bundle-BF5pm41Z.js';
import './ui/MentionUserLabel.js';
import './chunks/bundle-CnH5RpMk.js';
import './chunks/bundle-Drx9_pPb.js';
import 'react-dom';
import './ui/IconButton.js';
import './ui/Button.js';
import '@sendbird/uikit-tools';
import 'css-vars-ponyfill';
import '@sendbird/chat';
import '@sendbird/chat/openChannel';
import './chunks/bundle-D9HPnnfT.js';
import './chunks/bundle-CJ6qEjG7.js';
import './ui/TextButton.js';
import './chunks/bundle-BN6KrkVC.js';
import './GroupChannelList/components/GroupChannelPreviewAction.js';
import './ui/ContextMenu.js';
import './ui/SortByRow.js';
import './chunks/bundle-qNaaK23g.js';
import './GroupChannelList/components/GroupChannelListHeader.js';
import './ui/Header.js';
import './EditUserProfile.js';
import './EditUserProfile/context.js';
import './EditUserProfile/components/EditUserProfileUI.js';
import './chunks/bundle-BzNj6rsX.js';
import './ui/Input.js';
import './ui/PlaceHolder.js';
import './chunks/bundle-DCwEebhZ.js';
import './chunks/bundle-COIwriEM.js';
import '@sendbird/chat/message';
import './chunks/bundle-Ci9SzdkN.js';
import './ChannelList/components/AddChannel.js';
import './chunks/bundle-SUnDswqm.js';
import './CreateChannel.js';
import './CreateChannel/components/CreateChannelUI.js';
import './chunks/bundle-D60vbRWZ.js';
import './sendbirdSelectors.js';
import './CreateChannel/components/InviteUsers.js';
import './ui/UserListItem.js';
import './ui/MutedAvatarOverlay.js';
import './ui/Checkbox.js';
import './ui/UserProfile.js';
import './CreateChannel/components/SelectChannelType.js';

var ChannelList = function (props) {
    return (React__default.createElement(ChannelListProvider, { className: props === null || props === void 0 ? void 0 : props.className, disableUserProfile: props === null || props === void 0 ? void 0 : props.disableUserProfile, allowProfileEdit: props === null || props === void 0 ? void 0 : props.allowProfileEdit, onBeforeCreateChannel: props === null || props === void 0 ? void 0 : props.onBeforeCreateChannel, onThemeChange: props === null || props === void 0 ? void 0 : props.onThemeChange, overrideInviteUser: props === null || props === void 0 ? void 0 : props.overrideInviteUser, onProfileEditSuccess: props === null || props === void 0 ? void 0 : props.onProfileEditSuccess, onChannelSelect: props === null || props === void 0 ? void 0 : props.onChannelSelect, sortChannelList: props === null || props === void 0 ? void 0 : props.sortChannelList, queries: props === null || props === void 0 ? void 0 : props.queries, disableAutoSelect: props === null || props === void 0 ? void 0 : props.disableAutoSelect, activeChannelUrl: props === null || props === void 0 ? void 0 : props.activeChannelUrl, isTypingIndicatorEnabled: props === null || props === void 0 ? void 0 : props.isTypingIndicatorEnabled, isMessageReceiptStatusEnabled: props === null || props === void 0 ? void 0 : props.isMessageReceiptStatusEnabled, reconnectOnIdle: props === null || props === void 0 ? void 0 : props.reconnectOnIdle },
        React__default.createElement(ChannelListUI, { renderChannelPreview: props === null || props === void 0 ? void 0 : props.renderChannelPreview, renderHeader: props === null || props === void 0 ? void 0 : props.renderHeader, renderPlaceHolderEmptyList: props === null || props === void 0 ? void 0 : props.renderPlaceHolderEmptyList, renderPlaceHolderError: props === null || props === void 0 ? void 0 : props.renderPlaceHolderError, renderPlaceHolderLoading: props === null || props === void 0 ? void 0 : props.renderPlaceHolderLoading })));
};

export { ChannelList as default };
//# sourceMappingURL=ChannelList.js.map
