import React__default from 'react';
import { EditUserProfileProvider } from './EditUserProfile/context.js';
import { EditUserProfileUI } from './EditUserProfile/components/EditUserProfileUI.js';
import './chunks/bundle-DQAyPA9h.js';
import './useSendbirdStateContext.js';
import './withSendbird.js';
import './chunks/bundle-C5TxIjYS.js';
import './chunks/bundle-CP8IZx6k.js';
import './chunks/bundle-CtoEZBYL.js';
import './chunks/bundle-BzNj6rsX.js';
import './chunks/bundle-Drx9_pPb.js';
import './chunks/bundle-CQkS3BVo.js';
import '@sendbird/chat/groupChannel';
import './utils/message/getOutgoingMessageState.js';
import './chunks/bundle-B0JJXfcN.js';
import 'react-dom';
import './chunks/bundle-BaYDB95w.js';
import './ui/IconButton.js';
import './ui/Button.js';
import './chunks/bundle-BKTUa7Hh.js';
import './ui/Icon.js';
import '@sendbird/uikit-tools';
import 'css-vars-ponyfill';
import '@sendbird/chat';
import './chunks/bundle-D_B-XPiX.js';
import '@sendbird/chat/openChannel';
import './chunks/bundle-D9HPnnfT.js';
import './chunks/bundle-D08cpCPN.js';
import './chunks/bundle-CJ6qEjG7.js';
import './ui/Input.js';
import './chunks/bundle-BgqXw7TW.js';
import './ui/ImageRenderer.js';
import './chunks/bundle-BamawVRC.js';
import './ui/TextButton.js';
import './chunks/bundle-BN6KrkVC.js';

var EditUserProfile = function (props) {
    var onEditProfile = props.onEditProfile, onCancel = props.onCancel, onThemeChange = props.onThemeChange;
    return (React__default.createElement(EditUserProfileProvider, { onEditProfile: onEditProfile, onCancel: onCancel, onThemeChange: onThemeChange },
        React__default.createElement(EditUserProfileUI, null)));
};

export { EditUserProfile as default };
//# sourceMappingURL=EditUserProfile.js.map
