import React__default from 'react';
import OpenChannelListUI from './OpenChannelList/components/OpenChannelListUI.js';
import { O as OpenChannelListProvider } from './chunks/bundle-LfFXyUj4.js';
import './OpenChannelList/components/OpenChannelPreview.js';
import './chunks/bundle-BgqXw7TW.js';
import './chunks/bundle-DQAyPA9h.js';
import './ui/ImageRenderer.js';
import './chunks/bundle-B0JJXfcN.js';
import './chunks/bundle-BamawVRC.js';
import './ui/Icon.js';
import './chunks/bundle-BKTUa7Hh.js';
import './chunks/bundle-CP8IZx6k.js';
import './ui/PlaceHolder.js';
import './chunks/bundle-C5TxIjYS.js';
import './chunks/bundle-CtoEZBYL.js';
import './ui/Loader.js';
import './ui/IconButton.js';
import './CreateOpenChannel.js';
import './CreateOpenChannel/components/CreateOpenChannelUI.js';
import './ui/Button.js';
import './chunks/bundle-Drx9_pPb.js';
import './chunks/bundle-CQkS3BVo.js';
import '@sendbird/chat/groupChannel';
import './utils/message/getOutgoingMessageState.js';
import 'react-dom';
import './chunks/bundle-BaYDB95w.js';
import '@sendbird/uikit-tools';
import './withSendbird.js';
import 'css-vars-ponyfill';
import '@sendbird/chat';
import './chunks/bundle-D_B-XPiX.js';
import '@sendbird/chat/openChannel';
import './chunks/bundle-D9HPnnfT.js';
import './chunks/bundle-D08cpCPN.js';
import './useSendbirdStateContext.js';
import './chunks/bundle-CJ6qEjG7.js';
import './ui/Input.js';
import './ui/TextButton.js';
import './chunks/bundle-BN6KrkVC.js';
import './CreateOpenChannel/context.js';
import './chunks/bundle-CJM4fAMC.js';

function OpenChannelList(_a) {
    var 
    // provider
    className = _a.className, queries = _a.queries, onChannelSelected = _a.onChannelSelected, 
    // ui
    renderHeader = _a.renderHeader, renderChannelPreview = _a.renderChannelPreview, renderPlaceHolderEmpty = _a.renderPlaceHolderEmpty, renderPlaceHolderError = _a.renderPlaceHolderError, renderPlaceHolderLoading = _a.renderPlaceHolderLoading;
    return (React__default.createElement(OpenChannelListProvider, { className: className, queries: queries, onChannelSelected: onChannelSelected },
        React__default.createElement(OpenChannelListUI, { renderHeader: renderHeader, renderChannelPreview: renderChannelPreview, renderPlaceHolderEmpty: renderPlaceHolderEmpty, renderPlaceHolderError: renderPlaceHolderError, renderPlaceHolderLoading: renderPlaceHolderLoading })));
}

export { OpenChannelList as default };
//# sourceMappingURL=OpenChannelList.js.map
