'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../chunks/bundle-C1iXH_lz.js');
var React = require('react');
var GroupChannelHeaderView = require('../../chunks/bundle-C7XdAFSI.js');
var Channel_context = require('../context.js');
require('../../ui/Icon.js');
require('../../chunks/bundle-DDsjylXE.js');
require('../../ui/ChannelAvatar.js');
require('../../chunks/bundle-CUrtGuno.js');
require('../../ui/ImageRenderer.js');
require('../../chunks/bundle-CZ43TiD0.js');
require('../../chunks/bundle-DM1x0Kmf.js');
require('../../chunks/bundle-BYTChesz.js');
require('../../chunks/bundle-d98ZY6cX.js');
require('../../chunks/bundle-BYgb3hss.js');
require('../../chunks/bundle-Ce_LIPHH.js');
require('../../useSendbirdStateContext.js');
require('../../withSendbird.js');
require('../../chunks/bundle-CRF-8eNm.js');
require('../../chunks/bundle-CaxyE1uP.js');
require('../../ui/Header.js');
require('../../ui/TextButton.js');
require('../../chunks/bundle-COLkgs4M.js');
require('../../ui/IconButton.js');
require('../../chunks/bundle-B_3UVRGD.js');
require('../../chunks/bundle-DLNFkt38.js');
require('../../chunks/bundle-DYwqgFGE.js');
require('@sendbird/chat/message');
require('../../chunks/bundle-BUGsOchw.js');
require('../../chunks/bundle-CM_QjHPG.js');
require('../../chunks/bundle-ggWkCnWp.js');
require('@sendbird/chat/groupChannel');
require('../../utils/message/getOutgoingMessageState.js');
require('../../chunks/bundle-DT6w7Uab.js');
require('../../chunks/bundle-BVg9ntoO.js');
require('../../chunks/bundle-AUSNBZEZ.js');
require('../../chunks/bundle-CBfbgiwa.js');
require('../../chunks/bundle-CFgPLG7x.js');
require('../../chunks/bundle-D-P1KjhS.js');
require('../../chunks/bundle-DbLPrtw4.js');
require('../../chunks/bundle-DAhXMboX.js');
require('../../chunks/bundle-HKXeZbAy.js');
require('../../chunks/bundle-DAx7HwSK.js');

var ChannelHeader = function (_a) {
    var className = _a.className;
    var context = Channel_context.useChannelContext();
    return (React.createElement(GroupChannelHeaderView.GroupChannelHeaderView, _tslib.__assign({}, context, { className: className, currentChannel: context.currentGroupChannel })));
};

exports.ChannelHeader = ChannelHeader;
exports.default = ChannelHeader;
//# sourceMappingURL=ChannelHeader.js.map
