'use strict';

var React = require('react');
var ChannelList_context = require('./chunks/bundle-0qKWLTni.js');
var ChannelList_components_ChannelListUI = require('./ChannelList/components/ChannelListUI.js');
require('./chunks/bundle-C1iXH_lz.js');
require('@sendbird/chat/groupChannel');
require('./chunks/bundle-DbLPrtw4.js');
require('./chunks/bundle-CFgPLG7x.js');
require('./chunks/bundle-DDsjylXE.js');
require('./chunks/bundle-CBfbgiwa.js');
require('./chunks/bundle-B_3UVRGD.js');
require('./useSendbirdStateContext.js');
require('./withSendbird.js');
require('./chunks/bundle-ggWkCnWp.js');
require('./utils/message/getOutgoingMessageState.js');
require('./chunks/bundle-D-P1KjhS.js');
require('./ChannelList/components/ChannelPreview.js');
require('./chunks/bundle-CRF-8eNm.js');
require('./chunks/bundle-BYgb3hss.js');
require('./chunks/bundle-CaxyE1uP.js');
require('./chunks/bundle-DQcAMIkW.js');
require('./chunks/bundle-CM_QjHPG.js');
require('./ui/Icon.js');
require('./chunks/bundle-d98ZY6cX.js');
require('./ui/Loader.js');
require('./chunks/bundle-CYUwXUd-.js');
require('./chunks/bundle-C8zKC7Gk.js');
require('./chunks/bundle-YzTkpnql.js');
require('./chunks/bundle-i2g7ZRrX.js');
require('./chunks/bundle-Ce_LIPHH.js');
require('./GroupChannel/components/TypingIndicator.js');
require('./ui/Badge.js');
require('./ui/ChannelAvatar.js');
require('./chunks/bundle-CUrtGuno.js');
require('./ui/ImageRenderer.js');
require('./chunks/bundle-CZ43TiD0.js');
require('./chunks/bundle-DM1x0Kmf.js');
require('./ui/MentionUserLabel.js');
require('./chunks/bundle-DsIHVOmg.js');
require('./chunks/bundle-BV4UQzl0.js');
require('react-dom');
require('./ui/IconButton.js');
require('./ui/Button.js');
require('@sendbird/uikit-tools');
require('css-vars-ponyfill');
require('@sendbird/chat');
require('@sendbird/chat/openChannel');
require('./chunks/bundle-kwY9bURo.js');
require('./chunks/bundle-CSp_Z9WK.js');
require('./ui/TextButton.js');
require('./chunks/bundle-COLkgs4M.js');
require('./GroupChannelList/components/GroupChannelPreviewAction.js');
require('./ui/ContextMenu.js');
require('./ui/SortByRow.js');
require('./chunks/bundle-C8cGPzxz.js');
require('./GroupChannelList/components/GroupChannelListHeader.js');
require('./ui/Header.js');
require('./EditUserProfile.js');
require('./EditUserProfile/context.js');
require('./EditUserProfile/components/EditUserProfileUI.js');
require('./chunks/bundle-r5mnAHc0.js');
require('./ui/Input.js');
require('./ui/PlaceHolder.js');
require('./chunks/bundle-Dk00HR_J.js');
require('./chunks/bundle-DYwqgFGE.js');
require('@sendbird/chat/message');
require('./chunks/bundle-XrvdkrhX.js');
require('./ChannelList/components/AddChannel.js');
require('./chunks/bundle-DwrPy17I.js');
require('./CreateChannel.js');
require('./CreateChannel/components/CreateChannelUI.js');
require('./chunks/bundle-B686_a8r.js');
require('./sendbirdSelectors.js');
require('./CreateChannel/components/InviteUsers.js');
require('./ui/UserListItem.js');
require('./ui/MutedAvatarOverlay.js');
require('./ui/Checkbox.js');
require('./ui/UserProfile.js');
require('./CreateChannel/components/SelectChannelType.js');

var ChannelList = function (props) {
    return (React.createElement(ChannelList_context.ChannelListProvider, { className: props === null || props === void 0 ? void 0 : props.className, disableUserProfile: props === null || props === void 0 ? void 0 : props.disableUserProfile, allowProfileEdit: props === null || props === void 0 ? void 0 : props.allowProfileEdit, onBeforeCreateChannel: props === null || props === void 0 ? void 0 : props.onBeforeCreateChannel, onThemeChange: props === null || props === void 0 ? void 0 : props.onThemeChange, overrideInviteUser: props === null || props === void 0 ? void 0 : props.overrideInviteUser, onProfileEditSuccess: props === null || props === void 0 ? void 0 : props.onProfileEditSuccess, onChannelSelect: props === null || props === void 0 ? void 0 : props.onChannelSelect, sortChannelList: props === null || props === void 0 ? void 0 : props.sortChannelList, queries: props === null || props === void 0 ? void 0 : props.queries, disableAutoSelect: props === null || props === void 0 ? void 0 : props.disableAutoSelect, activeChannelUrl: props === null || props === void 0 ? void 0 : props.activeChannelUrl, isTypingIndicatorEnabled: props === null || props === void 0 ? void 0 : props.isTypingIndicatorEnabled, isMessageReceiptStatusEnabled: props === null || props === void 0 ? void 0 : props.isMessageReceiptStatusEnabled, reconnectOnIdle: props === null || props === void 0 ? void 0 : props.reconnectOnIdle },
        React.createElement(ChannelList_components_ChannelListUI, { renderChannelPreview: props === null || props === void 0 ? void 0 : props.renderChannelPreview, renderHeader: props === null || props === void 0 ? void 0 : props.renderHeader, renderPlaceHolderEmptyList: props === null || props === void 0 ? void 0 : props.renderPlaceHolderEmptyList, renderPlaceHolderError: props === null || props === void 0 ? void 0 : props.renderPlaceHolderError, renderPlaceHolderLoading: props === null || props === void 0 ? void 0 : props.renderPlaceHolderLoading })));
};

module.exports = ChannelList;
//# sourceMappingURL=ChannelList.js.map
