'use strict';

var React = require('react');
var consts = require('../chunks/bundle-DsIHVOmg.js');
var utils = require('../chunks/bundle-DDsjylXE.js');

function MentionUserLabel(_a) {
    var _b = _a.className, className = _b === void 0 ? '' : _b, children = _a.children, _c = _a.isReverse, isReverse = _c === void 0 ? false : _c, color = _a.color, userId = _a.userId;
    return (React.createElement("span", { className: utils.classnames(consts.MENTION_USER_LABEL_CLASSNAME, className, isReverse && 'reverse', color), contentEditable: false, "data-userid": userId, "data-sb-mention": true }, children));
}

module.exports = MentionUserLabel;
//# sourceMappingURL=MentionUserLabel.js.map
