import React, { ReactElement, ReactNode } from 'react';
import { User } from '@sendbird/chat';
import { Member } from '@sendbird/chat/groupChannel';
import './user-list-item.scss';
interface ActionProps {
    actionRef: React.RefObject<HTMLInputElement>;
    parentRef: React.RefObject<HTMLInputElement>;
}
interface Props {
    user: User | Member;
    currentUser?: string;
    className?: string;
    action?(props: ActionProps): ReactNode;
}
declare const UserListItem: ({ user, className, currentUser, action, }: Props) => ReactElement;
export default UserListItem;
